Skip to main content
POST
/
api
/
v1
/
products
Crear nuevo producto
curl --request POST \
  --url https://api.lapyme.com.ar/api/v1/products \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "sku": "<string>",
  "cost": 1,
  "price": 1,
  "taxRateId": 4503599627370496,
  "description": "<string>",
  "categoryId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "barcode": "<string>",
  "oemCode": "<string>",
  "currency": "ARS",
  "stockMinimum": 0,
  "defaultSupplierId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "productType": "product",
  "isActive": true
}
'
{
  "success": true,
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "description": "<string>",
    "category": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>"
    },
    "sku": "<string>",
    "barcode": "<string>",
    "oemCode": "<string>",
    "currency": "<string>",
    "cost": 123,
    "price": 123,
    "taxRate": {
      "id": 123,
      "value": 123
    },
    "stockMinimum": 123,
    "defaultSupplier": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>"
    },
    "productType": "product",
    "isActive": true,
    "organizationSlug": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "effectivePrice": 123,
    "priceSource": "automatic",
    "appliedPriceList": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "isAutomatic": true,
      "automaticPricingMode": "base_price_adjustment",
      "adjustmentPercentage": 123,
      "taxInclusive": true
    }
  }
}

Authorizations

Authorization
string
header
required

Incluí tu API key en el header Authorization con el prefijo Bearer

Body

application/json
name
string
required

Nombre del producto

Required string length: 1 - 100
sku
string
required

Código SKU único del producto

Required string length: 1 - 50
cost
number
required

Costo del producto

Required range: x >= 0
price
number
required

Precio de venta del producto

Required range: x >= 0
taxRateId
integer
required

ID de la tasa de impuesto aplicable

Required range: 1 <= x <= 9007199254740991
description
string | null

Descripción del producto

Maximum string length: 500
categoryId
string<uuid> | null

ID de la categoría del producto

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
barcode
string | null

Código de barras del producto

Maximum string length: 50
oemCode
string | null

Código OEM del producto

Maximum string length: 50
currency
string
default:ARS

Moneda del precio (ISO 4217)

Required string length: 3
stockMinimum
integer
default:0

Stock mínimo requerido

Required range: 0 <= x <= 9007199254740991
defaultSupplierId
string<uuid> | null

ID del proveedor por defecto

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
productType
enum<string>
default:product

Tipo de producto

Available options:
product,
service,
combo
isActive
boolean
default:true

Estado activo del producto

Response

201 - application/json

Producto creado exitosamente

success
enum<boolean>
required
Available options:
true
data
object
required